[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCoolBands.Update

Updates the specified item in the collection, and updates the cool bar when needed.

## Declaration

Source position: comctrls.pp line 2540

`protected procedure TCoolBands.Update(`
`aItem: TCollectionItem`
`); override;`

## Arguments

`aItem` |  | Collection item updated in the collection.

## Description

Update is an overridden method in TCoolBands. It calls the inherited method on entry to notify observers that the collection item has changed. If a TCoolBar instance was assigned as the owner for the collection, its CalculateAndAlign method is called to layout and resize the visible bands for the control. The cool bar control is redrawn prior to exiting from the method.